Subject: [bug#36029] [PATCH 0/2] 'publish' and 'substitute' support several compression methods

From: Ludovic Courtès <[email-masked]>
Date: Sun, 02 Jun 2019 22:44:04 +0200

Hello!

Pierre Neidhardt <[email-masked]> skribis:

>> --8<---------------cut here---------------start------------->8---
>> StorePath: /gnu/store/9czlz7ss3187l2vi1hvrlkwlgrggdg5p-inkscape-0.92.4
>> URL: nar/gzip/9czlz7ss3187l2vi1hvrlkwlgrggdg5p-inkscape-0.92.4
>> Compression: gzip
>> FileSize: 40308611
>> URL: nar/lzip/9czlz7ss3187l2vi1hvrlkwlgrggdg5p-inkscape-0.92.4
>> Compression: lzip
>> FileSize: 19867767
>> NarHash: sha256:1jv4nkq68a7zwqhi9inrnh340a4jxcpb91wq7d25hgw0nk8isbbk
>> NarSize: 136499024
>> References: …
>> --8<---------------cut here---------------end--------------->8---
>
> Huhu, inkscape's size is already halved ;)

Yup, I’d be curious to gather more stats once it’s running!

>> IOW, it’s like before, except that there are multiple
>> URL/Compression/FileSize fields instead of just one of each.
>>
>> The trick is that old clients take the first occurrence of each
>> of these fields and ignore subsequent occurrences.  In the example
>> above, they’d just take gzip and ignore the rest.
>
> Smart!  I like it!

Cool!  I’ve pushed these:

  b90ae065b5 substitute: Select the best compression methods.
  b8fa86adfc publish: '--compression' can be repeated.

Now I’d like to run a test instance on berlin before we deploy it “for
real.”  To be continued…

Ludo’.